aboutsummaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@gmail.com>2011-02-17 15:16:59 +0000
committerLeonardo Arena <rnalrd@gmail.com>2011-02-17 15:16:59 +0000
commit07e0710a3e04b9aa29b74d2a876d33ce33d76325 (patch)
tree6b93763bb132c2acecb704c859b6a03b7569805d /main
parent24b218ca123a3b3d8ed92f7fa652a4d80bff5b17 (diff)
downloadaports-07e0710a3e04b9aa29b74d2a876d33ce33d76325.tar.gz
aports-07e0710a3e04b9aa29b74d2a876d33ce33d76325.tar.bz2
aports-07e0710a3e04b9aa29b74d2a876d33ce33d76325.tar.xz
main/vlc: fix libavcodec_plugin installation
Diffstat (limited to 'main')
-rw-r--r--main/vlc/APKBUILD9
1 files changed, 3 insertions, 6 deletions
diff --git a/main/vlc/APKBUILD b/main/vlc/APKBUILD
index 7e7bbb7ea3..373e703859 100644
--- a/main/vlc/APKBUILD
+++ b/main/vlc/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=vlc
pkgver=1.1.7
-pkgrel=4
+pkgrel=6
pkgdesc="A multi-platform MPEG, VCD/DVD, and DivX player"
url="http://www.videolan.org/vlc/"
arch="all"
@@ -129,15 +129,12 @@ build ()
package() {
cd "$_builddir"
- make DESTDIR="$pkgdir"/ install || return 1
+ make DESTDIR="$pkgdir" install || return 1
# for res in 16 32 48 128; do
# install -D -m644 share/vlc${res}x${res}.png \
# "$pkgdir"/usr/share/icons/hicolor/${res}x${res}/apps/vlc.png || return 1
# done
rm -rf "$pkgdir"/usr/lib/mozilla
-# FIXME: for some reason libavcodec_plugin does not get installed
- install -m644 $_builddir/modules/codec/avcodec/.libs/libavcodec_plugin.so \
- $pkgdir/usr/lib/vlc/plugins/codec/libavcodec_plugin.so
}
_mv() {
@@ -154,7 +151,7 @@ xorg() {
cd "$pkgdir"
for i in $(find -type f ); do
if ldd $i 2>/dev/null | grep -q libX; then
- _mv "$i" || return 1
+ echo $i | grep libavcodec_plugin.so || _mv "$i" || return 1
fi
done